package me.chyxion.tigon.model;

import java.util.List;

/**
 * @version 0.0.1
 * @since 0.0.1
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Oct 12, 2016 3:51:08 PM
 */
public interface ListResultApi<T> extends ViewModelable<List<T>> {

    /**
     * @return the total
     */
    Integer getTotal();

    /**
     * @param total the total to set
     * @return this
     */
    ListResultApi<T> setTotal(Integer total);

    /**
     * @param total the total to set
     * @return this
     */
    ListResultApi<T> setTotal(int total);
}
